Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.client.binder
Interface GinAnnotatedConstantBindingBuilder

    public interface GinAnnotatedConstantBindingBuilder

See the EDSL examples at `GinBinder`.

Method Summary
`GinConstantBindingBuilder` | `annotatedWith(java.lang.annotation.Annotation annotation)` See the EDSL examples at `GinBinder`.
`GinConstantBindingBuilder` | `annotatedWith(java.lang.Class<? extends java.lang.annotation.Annotation> aClass)` See the EDSL examples at `GinBinder`.

Method Detail

### annotatedWith

    GinConstantBindingBuilder annotatedWith(java.lang.Class<? extends java.lang.annotation.Annotation> aClass)

  See the EDSL examples at `GinBinder`.

### annotatedWith

    GinConstantBindingBuilder annotatedWith(java.lang.annotation.Annotation annotation)

  See the EDSL examples at `GinBinder`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD